- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# neethi_operator.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <neethi_includes.h>`

Go to the source code of this file.

## Typedefs
typedef struct neethi_operator_t | neethi_operator_t
## Enumerations
enum | neethi_operator_type_t { OPERATOR_TYPE_POLICY = 0, OPERATOR_TYPE_ALL, OPERATOR_TYPE_EXACTLYONE, OPERATOR_TYPE_REFERENCE, OPERATOR_TYPE_ASSERTION, OPERATOR_TYPE_UNKNOWN }
## Functions
AXIS2_EXTERN neethi_operator_t * | neethi_operator_create (const axutil_env_t *env)
AXIS2_EXTERN void | neethi_operator_free (neethi_operator_t *neethi_operator, const axutil_env_t *env)
AXIS2_EXTERN neethi_operator_type_t | neethi_operator_get_type (neethi_operator_t *neethi_operator, const axutil_env_t *env)
AXIS2_EXTERN void * | neethi_operator_get_value (neethi_operator_t *neethi_operator, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | neethi_operator_set_value (neethi_operator_t *neethi_operator, const axutil_env_t *env, void *value, neethi_operator_type_t type)
AXIS2_EXTERN axis2_status_t | neethi_operator_serialize (neethi_operator_t *neethi_operator, const axutil_env_t *env, axiom_node_t *parent)
AXIS2_EXTERN axis2_status_t | neethi_operator_set_value_null (neethi_operator_t *neethi_operator, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | neethi_operator_increment_ref (neethi_operator_t *neethi_operator, const axutil_env_t *env)

## Detailed Description

struct for policy operators.